from fireworks.utilities.dagflow import DAGFlow
from fireworks import Workflow
import sys

assert len(sys.argv) >= 2
vmode = None
for arg in sys.argv:
    if '--view' in arg:
        vmode = arg.split('=')[1]

wf_file = sys.argv[-1]
dot_file = wf_file.split('.')[0] + '.dot'

workflow = Workflow.from_file(wf_file)
dag = DAGFlow.from_fireworks(workflow)

if vmode is not None:
    dag.add_step_labels()
    dag.to_dot(dot_file, view=vmode)

